# __gnu_parallel::lexicographic< T1, T2, Comparator > Class Template Reference

Inheritance diagram for __gnu_parallel::lexicographic< T1, T2, Comparator >:

List of all members.

## Detailed Description

### template<typename T1, typename T2, typename Comparator>
class __gnu_parallel::lexicographic< T1, T2, Comparator >

Compare a pair of types lexicographically, ascending.

Definition at line 61 of file multiseq_selection.h.

## Public Types

- typedef std::pair< T1, T2 > first_argument_type
- typedef bool result_type
- typedef std::pair< T1, T2 > second_argument_type

## Public Member Functions

- lexicographic (Comparator &_comp)
- bool operator() (const std::pair< T1, T2 > &p1, const std::pair< T1, T2 > &p2) const

## Member Typedef Documentation

typedef std::pair< T1, T2 > std::binary_function< std::pair< T1, T2 > , std::pair< T1, T2 > , bool >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 117 of file stl_function.h.

typedef bool std::binary_function< std::pair< T1, T2 > , std::pair< T1, T2 > , bool >::result_type `[inherited]`

type of the return type

Definition at line 121 of file stl_function.h.

typedef std::pair< T1, T2 > std::binary_function< std::pair< T1, T2 > , std::pair< T1, T2 > , bool >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this class was generated from the following file:

- multiseq_selection.h